List integrations
GET
/v1/integration/
const url = 'https://example.com/v1/integration/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/integration/ \ --header 'Authorization: Bearer <token>'Return all integrations for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”account
string format: uuid
cursor
string
The pagination cursor value.
integration_template
string format: uuid
name
string
page_size
integer
Number of results to return per page.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
created_at
required
string format: date-time
enabled
boolean
id
required
string format: uuid
integration_template
required
string format: uuid
modified_at
required
string format: date-time
name
required
string
parameter_value
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
created_at
required
string format: date-time
id
required
string format: uuid
key
required
string format: uuid
modified_at
required
string format: date-time
value
string
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"}